---
title: Introduction
sidebar_position: 1
hide_title: true
---

## Cloud Documentation

[Jetify Cloud](https://cloud.jetify.com) gives your team the tools and frameworks to accelerate your
development workflow. Jetify Cloud is built on top of
[Devbox](https://www.jetify.com/devbox), a powerful tool for spinning up
reproducible, isolated development environments on any machine.

:::info
Jetify Cloud is currently available in Early Access. We're actively working on adding new features and improving the platform. To learn more, share your feedback, or follow our progress, join our [Discord Channel](https://discord.gg/jetify).
:::

Jetify Cloud currently includes:

**[Jetify Cache](./cache/index.md)**: Provides a secure, private cache to share packages across all your Devbox projects and environments, whether sourced from Nixpkgs or Flakes. Avoid rebuilding custom packages locally or in CI. 

**[Jetify Secrets](./secrets/index.md)**: Securely store secrets and variables for all of your environments, and automatically synchronize them with your Devbox Shells and Scripts

**[Jetify Deploys](./deploys/index.md)**: Deploy Devbox projects as autoscaling, stateless services. See your changes live and in production as soon as you push to your repository, no extra DevOps or Config required.

More features are coming soon, keep an eye on our [**blog**](https://www.jetify.com/blog) for future updates!

## Getting Started

- Learn how to [**create your team**](./dashboard/creating_your_team.md) and [**invite members**](./dashboard/inviting_members.md)
- Speed up your dev environments with [**Jetify Cache**](./cache/index.md)
- Integrate Secrets with your Devbox project using [**Jetify Secrets**](./secrets/index.md)
- Learn how to deploy your application with [**Jetify Deploys**](./deploys/index.md)
