---
title: Devbox Examples
---
Devbox strives to provide a balance between the immutability of Nix's global store, and the mutability of local project configuration. The examples below show how to configure Devbox for a wide range of development environments and project types.

You can view the full list of examples in our [Example Repo](https://github.com/jetify-com/devbox/)

## Languages
* [C#/.NET](languages/csharp.md)
* [Elixir](languages/elixir.md)
* [F#/.NET](languages/fsharp.md)
* [Go](languages/go.md)
* [Haskell](languages/haskell.md)
* [Java](languages/java.md)
* [NodeJS](languages/nodejs.md)
* [Nim](languages/nim.md)
* [PHP](languages/php.md)
* [Python](languages/python.md)
* [Rust](languages/rust.md)
* [Ruby](languages/ruby.md)
* [Zig](languages/zig.md)

## Databases
* [MariaDB](databases/mariadb.md)
* [MongoDB](databases/mongodb.md)
* [MySQL](databases/mysql.md)
* [PostgreSQL](databases/postgres.md)
* [RabbitMQ](databases/rabbitmq.md)
* [Redis](databases/redis.md)

## Servers
* [Apache](servers/apache.md)
* [Caddy](servers/caddy.md)
* [NGINX](servers/nginx.md)

## Full Stack Examples
These examples combine configuration from multiple examples to create a full stack for development and deployment.

* [Django](stacks/django.md)
* [Drupal](stacks/drupal.md)
* [Jekyll](stacks/jekyll.md)
* [Laravel](stacks/laravel.md)
* [LAPP (Linux, Apache, PostgreSQL, PHP)](stacks/lapp.md)
* [LEPP (Linux, NGINX, PostgreSQL, PHP)](stacks/lepp.md)
* [Ruby on Rails](stacks/rails.md)
* [Spring Boot](stacks/spring.md)
